org.springframework.web.socket.handler

## Enum ConcurrentWebSocketSessionDecorator.OverflowStrategy

- java.lang.Object
- - java.lang.Enum<ConcurrentWebSocketSessionDecorator.OverflowStrategy>
  - - org.springframework.web.socket.handler.ConcurrentWebSocketSessionDecorator.OverflowStrategy

- All Implemented Interfaces:
    Serializable, Comparable<ConcurrentWebSocketSessionDecorator.OverflowStrategy>
  Enclosing class:
    ConcurrentWebSocketSessionDecorator

      public static enum ConcurrentWebSocketSessionDecorator.OverflowStrategy
      extends Enum<ConcurrentWebSocketSessionDecorator.OverflowStrategy>

  Enum for options of what to do when the buffer fills up.
  Since:
    5.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DROP` Drop the oldest messages from the buffer.
    `TERMINATE` Throw `SessionLimitExceededException` that will result in the session being terminated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConcurrentWebSocketSessionDecorator.OverflowStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConcurrentWebSocketSessionDecorator.OverflowStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TERMINATE

          public static final ConcurrentWebSocketSessionDecorator.OverflowStrategy TERMINATE

      Throw `SessionLimitExceededException` that will result in the session being terminated.

    - #### DROP

          public static final ConcurrentWebSocketSessionDecorator.OverflowStrategy DROP

      Drop the oldest messages from the buffer.

  - ### Method Detail

    - #### values

          public static ConcurrentWebSocketSessionDecorator.OverflowStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConcurrentWebSocketSessionDecorator.OverflowStrategy c : ConcurrentWebSocketSessionDecorator.OverflowStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConcurrentWebSocketSessionDecorator.OverflowStrategy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null